<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE  mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.yonge.cooleshow.biz.dal.mapper.WxConfigInfoMapper">

	 
    
    <!-- 表字段 -->
    <sql id="baseColumns">
         t.id AS id
        , t.mp_name AS mpName
        , t.appid AS appid
        , t.secret AS secret
        , t.token AS token
        , t.aeskey AS aeskey
        , t.content AS content
        , t.merchant_id AS merchantId
        , t.merchant_key AS merchantKey
        , t.notify_url AS notifyUrl
        , t.trade_type AS tradeType
        , t.sign_type AS signType
        , t.subscribe_url AS subscribeUrl
        , t.mp_app_id AS mpAppId
        , t.mp_type AS mpType
        , t.is_global AS isGlobal
        , t.status AS status
        , t.create_time AS createTime
        </sql> 
    
    <select id="selectPage" resultType="com.yonge.cooleshow.biz.dal.entity.WxConfigInfo">
		SELECT         
        	<include refid="baseColumns" />
		FROM wx_config_info t
	</select>
    
</mapper>